### Function

# EDataServer WebDAVSession util_maybe_dequote

since: 3.26

#### Declaration [src]

    gchar*
    e_webdav_session_util_maybe_dequote (
      gchar* text
    )

#### Description [src]

Dequotes `text`, if it’s enclosed in double-quotes. The function changes `text`, it doesn’t allocate new string. The function does nothing when the `text` is not enclosed in double-quotes.

Available since: 3.26

#### Parameters

`text`

  Type: `gchar*`

  Text to dequote.

  The argument will be modified by the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

Possibly dequoted `text`.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.